=== debian/changelog ===
ocfs2-tools (1.6.4-3ubuntu2+lliurex1) precise; urgency=low

  * Added lliurex-features

 -- dmontalva <dmontalva@davidpc>  Mon, 13 Jan 2014 12:39:57 +0100

ocfs2-tools (1.6.4-3ubuntu1) trusty; urgency=medium

  * Merge with Debian; remaining changes:
    - Drop build dependency on python-support.
    - Fix calculation of -I paths for Python multiarch compatibility.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 06 Jan 2014 14:14:58 +0100

ocfs2-tools (1.6.4-3) unstable; urgency=low

  * Use dh_autotools-dev to update config.{sub,guess} (Closes: #727261).
  * Fix FTBFS due to unknown type umode_t (Closes: #707437).
  * Remove ocfs2-tools-cman and ocfs2-tools-pacemaker as the required
    build dependencies are uninstallable (Closes: #685753).
  * Update Standards-Version to 3.9.4 (no changes).

 -- Jeremy Lainé <jeremy.laine@m4x.org>  Fri, 15 Nov 2013 07:22:43 +0100

ocfs2-tools (1.6.4-2ubuntu4) saucy; urgency=low

  * Use dh_autotools-dev to update config.{sub,guess} for AArch64.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 12 Oct 2013 19:43:10 +0200

ocfs2-tools (1.6.4-2ubuntu3) saucy; urgency=low

  * debian/control: Drop Build-Depends on openais-dev. The library is
    deprecated upstream and is no longer needed since this package
    no longer supports cman/pacemaker controld's.

 -- Andres Rodriguez <andreserl@ubuntu.com>  Wed, 25 Sep 2013 13:24:30 -0400

ocfs2-tools (1.6.4-2ubuntu2) saucy; urgency=low

  * Dropping cman/pacemaker controld's

 -- Andres Rodriguez <andreserl@ubuntu.com>  Wed, 24 Jul 2013 13:48:59 -0400

ocfs2-tools (1.6.4-2ubuntu1) raring; urgency=low

  [ Logan Rosen ]
  * Merge from Debian unstable. Remaining changes:
    - Build using dh_python2.
    - debian/patches/ubuntu-umode-ftbfs.patch: Fix FTBFS with undefined
      umode_t type in 3.3 kernels.

  [ Barry Warsaw ]
  * Fix calculation of -I paths for Python multiarch compatibility.
    - debian/patches/python-multiarch-includes.patch: Added
    - debian/rules: Add --with autoreconf and override_dh_autoreconf for
      correct invocation of autoreconf.
    - debian/control: Added B-D on dh-autoreconf.

 -- Logan Rosen <logatronico@gmail.com>  Sat, 08 Dec 2012 18:00:15 -0500

ocfs2-tools (1.6.4-2) unstable; urgency=low

  * Remove popen2-ignore-depreciation-warn.patch: it has the opposite effect,
    turning deprecation warnings into errors (Closes: #682517, LP: #923754).

 -- Jeremy Lainé <jeremy.laine@m4x.org>  Wed, 15 Aug 2012 09:31:09 +0200

ocfs2-tools (1.6.4-1ubuntu1) quantal; urgency=low

  * Merge from Debian testing (LP: #1003157).  Remaining changes:
    - Build using dh_python2
  * debian/patches/ubuntu-umode-ftbfs.patch: Fix FTBFS with undefined
    umode_t type in 3.3 kernels.

 -- Andres Rodriguez <andreserl@ubuntu.com>  Wed, 23 May 2012 14:01:28 -0400

ocfs2-tools (1.6.4-1) unstable; urgency=low

  * New upstream release.  Closes: #669023.
  * Add patch to accommodate pacemaker header changes.
  * Fix pending l10n issues. Debconf translations:
    - Danish (Joe Hansen).  Closes: #656649.
    - Polish (Michał Kułach).  Closes: #667945.
  * Convert to debhelper 7.
  * Update Standards-Version to 3.9.3 (no changes).

 -- Jeremy Lainé <jeremy.laine@m4x.org>  Wed, 18 Apr 2012 09:16:18 +0200
