=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python2,autoreconf,n4d-vars

override_dh_autoreconf:
	autoreconf -f -i -I/usr/share/aclocal

override_dh_auto_configure:
	dh_auto_configure -- --disable-debug --enable-dynamic-ctl --enable-dynamic-fsck

override_dh_installinit:
	cp -f vendor/common/o2cb.init debian/ocfs2-tools.o2cb.init
	cp -f vendor/common/ocfs2.init debian/ocfs2-tools.ocfs2.init
	dh_installinit -pocfs2-tools --name=o2cb --no-restart-on-upgrade -- start 41 S . stop 6 0 6 . 
	dh_installinit -pocfs2-tools --name=ocfs2 --no-restart-on-upgrade -- start 65 S . stop 2 0 6 .
	dh_installinit -pocfs2-tools --no-start --name=ocfs2-umount -- stop 01 0 1 6 .
	dh_installinit
