=== debian/changelog ===
ocfs2-tools (1.8.4-3ubuntu3) zesty; urgency=medium

  * d/t/basic: fix typo in argument in mkfs.ocfs2.

 -- Nishanth Aravamudan <nish.aravamudan@canonical.com>  Fri, 03 Mar 2017 13:58:04 -0800

ocfs2-tools (1.8.4-3ubuntu2) zesty; urgency=medium

  * d/t/basic: do not assume local filesystem blocksize will support the
    mkfs.ocfs2 blocksize (e.g., 4k disks will not support a 1k
    blocksize).

 -- Nishanth Aravamudan <nish.aravamudan@canonical.com>  Fri, 03 Mar 2017 11:34:10 -0800

ocfs2-tools (1.8.4-3ubuntu1) zesty; urgency=medium

  * d/t/control: dlm-controld is renamed to dlm in Ubuntu.

 -- Nishanth Aravamudan <nish.aravamudan@canonical.com>  Wed, 01 Mar 2017 13:25:13 -0800

ocfs2-tools (1.8.4-3) unstable; urgency=medium

  * Fix debugfs segfault (Closes: #715810)
  * Fix mkfs segfault (Closes: #716105)
  * debian/tests: force fsck run
  * debian/tests: disable o2cb cluster after test
  * debian/tests: add pcmk cluster test
  * debian/tests: additional tunefs tests
  * Add lsb-base dependency to fix lintian error
  * debian/tests: add basic test for lxc
  * debian/tests: use temporary directory
  * debian/tests: prevent test from loading modules

 -- Valentin Vidic <Valentin.Vidic@CARNet.hr>  Fri, 21 Oct 2016 18:39:01 +0200

ocfs2-tools (1.8.4-2) unstable; urgency=medium

  * Drop suggests for deprecated ocfs2console package
  * Add watch file
  * Architecture changed to linux-any
  * Simplify install to catch new files, o2cb, o2cluster, o2info, and
    o2hbmonitor were missing in 1.8.4-1.
  * Move init scripts out of rcS (Closes: #796638)
  * Start storage services before ocfs2 (Closes: #723093)
  * debian/tests: o2cb service startup
  * Add global heartbeat support for virtio devices
  * Update Debian documentation

 -- Valentin Vidic <Valentin.Vidic@CARNet.hr>  Tue, 12 Jul 2016 22:26:31 +0200

ocfs2-tools (1.8.4-1) unstable; urgency=medium

  * New upstream release (Closes: #669366)
  * Drop deprecated ocfs2console package
  * Update dh_clean list
  * Update Standards-Version to 3.9.8
  * Update init scripts
  * Use debhelper 9
  * Update debian patches
  * Add libaio-dev dependency
  * Remove update-rc.d start/stop actions
  * Fix udev rule for creating /dev/misc/ocfs2_control
  * Update debian/control: maintainer and upstream info

 -- Valentin Vidic <Valentin.Vidic@CARNet.hr>  Fri, 10 Jun 2016 16:27:57 +0200

ocfs2-tools (1.6.4-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Replace python-support Build-Dep with dh-python (already ported to
    dh_python2) (Closes: #785983)

 -- Stefano Rivera <stefanor@debian.org>  Wed, 26 Aug 2015 13:20:27 -0700
