## ocfs2-tools 1.8.5

=== Makefile ===
--- 
+++ 
@@ -20,7 +20,7 @@
 COMPILE_PY = 1
 endif
 
-SUBDIRS = include libtools-internal libo2dlm libo2cb libocfs2 fsck.ocfs2 mkfs.ocfs2 mounted.ocfs2 tunefs.ocfs2 debugfs.ocfs2 o2cb_ctl ocfs2_hb_ctl mount.ocfs2 ocfs2_controld o2image o2info o2monitor listuuid sizetest extras fswreck patches
+SUBDIRS = include libtools-internal libo2dlm libo2cb libocfs2 fsck.ocfs2 mkfs.ocfs2 mounted.ocfs2 tunefs.ocfs2 debugfs.ocfs2 o2cb_ctl ocfs2_hb_ctl mount.ocfs2 ocfs2_controld o2image o2info o2monitor extras fswreck patches
 
 ifdef BUILD_OCFS2CONSOLE
 SUBDIRS += ocfs2console
@@ -78,9 +78,9 @@
 	svnrev.guess				\
 	Vendor.make				\
 	vendor.guess				\
-	documentation/ocfs2_faq.txt		\
+	Makepdfs				\
+	documentation/samples/cluster.conf	\
 	documentation/users_guide.txt		\
-	documentation/samples/cluster.conf	\
 	$(PKGCONFIG_SOURCES)			\
 	$(DEBIAN_FILES)
