=== debian/changelog ===
ocfs2-tools (1.8.5-7) unstable; urgency=medium

  * debian/patches: fix FTBFS with glibc 2.28 (Closes: #916053)

 -- Valentin Vidic <vvidic@debian.org>  Sun, 09 Dec 2018 19:58:40 +0100

ocfs2-tools (1.8.5-6) unstable; urgency=medium

  * debian/tests: fix broken pipe error (Closes: #905151)
  * debian/control: update my mail address
  * debian/control: update Standards-Version to 4.2.1
  * debian/rules: fail on dh_missing

 -- Valentin Vidic <vvidic@debian.org>  Wed, 19 Sep 2018 11:34:33 +0200

ocfs2-tools (1.8.5-5) unstable; urgency=medium

  * debian/patches: fix parallel build (Closes: #894630)
  * debian/control: update Vcs URLs to use salsa

 -- Valentin Vidic <Valentin.Vidic@CARNet.hr>  Wed, 04 Apr 2018 18:10:26 +0200

ocfs2-tools (1.8.5-4) unstable; urgency=medium

  * Set Multi-Arch: same for ocfs2-tools-dev
  * debian/control: drop ocfs2-tools Depends from ocfs2-tools-dev
  * debian/patches: fix glibc 2.26 FTBFS (Closes: #887631)
  * Move upstream init scripts to /usr/lib/ocfs2-tools
  * debian/patches: fix makedev build warning
  * debian/rules: enable hardened build
  * Update Standards-Version to 4.1.3 with no changes
  * debian/patches: document and cleanup patches
  * debian/rules: cleanup autoreconf and configure rules
  * debian/compat: use debhelper v11
  * debian/patches: fix spelling errors reported by lintian
  * debian/patches: fix error printed by o2cb stop
  * debian/ocfs2-tools.postinst: stop debconf after reading data

 -- Valentin Vidic <Valentin.Vidic@CARNet.hr>  Wed, 24 Jan 2018 15:09:31 +0100

ocfs2-tools (1.8.5-3) unstable; urgency=medium

  * debian/control: drop B-D on dh-autoreconf and autotools-dev
  * Migrate from using rcS to standard runlevels
  * Update Standards-Version to 4.1.0 with no changes
  * Add missing libcmap-dev to Build-Depends

 -- Valentin Vidic <Valentin.Vidic@CARNet.hr>  Wed, 20 Sep 2017 14:50:38 +0200

ocfs2-tools (1.8.5-2) unstable; urgency=medium

  * debian/rules: include upstream systemd services
  * debian/patches: enable parallel builds
  * debian/rules: update debhelper to version 10
  * debian/tests: include Ubuntu patch for 4k blocksize (Closes: #867363)
  * debian/rules: do not restart services on upgrade
  * debian/patches: fixes for gcc warnings

 -- Valentin Vidic <Valentin.Vidic@CARNet.hr>  Mon, 10 Jul 2017 13:24:55 +0200

ocfs2-tools (1.8.5-1) unstable; urgency=medium

  * New upstream release
  * Refresh debian/patches
  * Update Standards-Version to 4.0.0 with no changes
  * Update debian/copyright to DEP-5 format
  * Remove duplicate Section line
  * Use https for Vcs-Git

 -- Valentin Vidic <Valentin.Vidic@CARNet.hr>  Tue, 20 Jun 2017 09:29:03 +0200

ocfs2-tools (1.8.4-4) unstable; urgency=medium

  * Add fix for sysfs filename (Closes: #858623)

 -- Valentin Vidic <Valentin.Vidic@CARNet.hr>  Mon, 27 Mar 2017 11:13:06 +0200
